package com.jscape.inet.ssh;

import java.util.EventObject;

/**
 * @author Alex Usun
 */
public abstract class SshEvent
        extends EventObject {

    protected SshEvent(Ssh source) {
        super(source);
    }

    /**
     * Accepts listener for backwards dispatching.
     *
     * @param listener event listener
     */
    public abstract void accept(SshListener listener);

}
